2003-12-05 Mikhail Khodjaiants
	'performApply' of 'SourceLookupBlock' should check if the project in configuration is the same as 
	project saved in the block.
	* SourceLookupBlock.java

2003-12-04 Mikhail Khodjaiants
	Changed the message displayed when the source file is not found.
	* CDebugEditor.java

2003-11-26 Mikhail Khodjaiants
	Fix for PR 47595: Referenced projects are not checked in the list of generic source locations.
	* SourceLookupBlock.java
 
2003-11-26 Mikhail Khodjaiants
	Cleanup.
	* CDTDebugModelPresentation.java
	* AddExpressionActionDelegate.java
	* AddGlobalsActionDelegate.java
	* AddWatchpointActionDelegate.java
	* AddWatchpointDialog.java
	* AutoRefreshAction.java
	* CBreakpointPreferencePage.java
	* ExpressionDialog.java
	* ManageBreakpointRulerAction.java
	* MemoryFormatAction.java
	* MemoryNumberOfColumnAction.java
	* MemorySizeAction.java
	* RunToLineRulerAction.java
	* ShowRegisterTypesAction.java
	* ComboDialogField.java
	* DisassemblyMarkerAnnotationModel.java
	* MemoryViewer.java
	* AddProjectSourceLocationBlock.java
	* CDebugUIPlugin.java
	* SourceLookupBlock.java
	* SourcePropertyPage.java

2003-11-21 Mikhail Khodjaiants
	Use "symbol not available" for empty function names when generating a stack frame label.
	* CDTDebugModelPresentation.java 
	
2003-11-13 Mikhail Khodjaiants
	Use 'StringBuffer' instead of 'String' when generating stack frame labels.
	Added a label for dummy stack frames instead of using the name provided by the rendered object.
	* CDTDebugModelPresentation.java 

2003-11-05 Mikhail Khodjaiants
	The argument type of the 'getBreakpointAddress' of 'ICBreakpointManager' is changed from 
	'ICBreakpoint' to 'ICBreakpointManager'.
	* DisassemblyMarkerAnnotationModel.java

2003-11-03 Mikhail Khodjaiants
	Fix for PR 45957: Memory view: last column does not show updates.
	* MemoryPresentation.java

2003-10-31 Mikhail Khodjaiants
	Applied the changes made to the corresponding classes of 'org.eclipse.debug.ui'.
	* AbstractDebugActionDelegate.java
	* AbstractListenerActionDelegate.java
	* AddAddressBreakpointActionDelegate.java
	* DebuggerConsoleActionDelegate.java
	* SwitchToDisassemblyActionDelegate.java
	* SignalZeroWorkbenchActionDelegate.java

2003-10-28 Mikhail Khodjaiants
	Changed name of source lookup preference page.
	* plugin.properties

2003-10-27 Mikhail Khodjaiants
	Added support of the old launch configurations.
	* plugin.xml
	* plugin.properties
	
2003-10-27 Mikhail Khodjaiants
	Changed the initialization of 'SourceLookupBlock'.
	* SourceLookupBlock.java
	* SourcePropertyPage.java

2003-10-27 Mikhail Khodjaiants
	Moved the 'org.eclipse.debug.core.sourceLocators' extension from the launcher.
	* plugin.xml
	* plugin.properties

2003-10-27 Mikhail Khodjaiants
	Added dependency to 'org.apache.xerces'.
	* plugin.xml
	* .classpath
	* .project 

2003-10-27 Mikhail Khodjaiants
	Moved 'DefaultSourceLocator' from the 'org.eclipse.cdt.launch' plugin and merge it with 'CUISourceLocator'.
	* CUISourceLocator.java: removed
	* DefaultSourceLocator.java: moved from the launcher.
	* CDebugUIPlugin.java: added the 'createSourceLocator' method.

2003-10-27 Mikhail Khodjaiants
	Renamed 'SourceLocationFactory' to 'SourceLookupFactory'.
	* AddDirectorySourceLocationBlock.java
	* AddProjectSourceLocationBlock.java

2003-10-23 Mikhail Khodjaiants
	Added a preference page for the source lookup.
	It includes two new preferences: 'Source Locations' and 'Search For Duplicate Source Files'.
	* plugin.properties
	* plugin.xml
	* ICDebugHelpContextIds.java
	* SourcePreferencePage.java
	* SourceListDialogField.java
	* SourceLookupBlock.java

2003-10-22 Mikhail Khodjaiants
	Refactoring: converting nested types 'SourceListDialogField' and 'SourceLookupLabelProvider' 
	of 'SourceLookupBlock' to the top level types.
	Added 'dispose' method to 'SourceLookupBlock'.
	* SourceLookupBlock.java
	* SourcePropertyPage.java
	* SourceListDialogField.java
	* SourceLookupLabelProvider.java

2003-10-20 Mikhail Khodjaiants
	Implementation of the "Search subfolders" option for directory source locations.
	* AddDirectorySourceLocationBlock.java
	* SourceLookupBlock.java

2003-10-17 Mikhail Khodjaiants
	UI support of the 'Search for duplicate source files' option.
	* icons/full/obj16/prj_file_obj.gif: new
	* icons/full/obj16/ext_file_obj.gif: new
	* CDebugImages.java
	* CUISourceLocator.java
	* SourceLookupBlock.java
	* SourcePropertyPage.java

2003-10-17 Mikhail Khodjaiants
	* CDebugEditor.java: changed the message displayed when the source file not found.

2003-10-14 Mikhail Khodjaiants
	* DebugTextHover.java: check if the result of 'evaluateExpression' is not null before trim it.
 
2003-10-06 Mikhail Khodjaiants
	Mark the function arguments in the Variables View.
	* icons\full\ovr16\argument_ovr.gif: new
	* icons\full\ovr16\castarray_ovr.gif: new
	* icons\full\ovr16\casttype_ovr.gif: new
	* CDebugImages.java
	* CDTDebugModelPresentation.java

2003-09-30 Mikhail Khodjaiants
	Fix for PR 39737: Tooltip in debug mode over long strings is not handled properly.
	Added an internal constant to limit the hover text size.
	Present the hover text in HTML format.
	* DebugTextHover.java

2003-09-24 Mikhail Khodjaiants
	Fix for PR 43624: The "Show Types Name" action of the Registers view doesn't work.
	* ShowRegisterTypesAction.java
	* RegistersView.java

2003-09-22 Mikhail Khodjaiants
	Moved the 'AddAddressBreakpointActionDelegate' action 
	to the 'org.eclipse.cdt.debug.internal.ui.actions' package.
	* AddAddressBreakpointActionDelegate.java
	* plugin.xml

2003-09-16 Mikhail Khodjaiants
	Cleanup.
	* CUISourceLocator.java

2003-09-11 Mikhail Khodjaiants
	Reset the selection of variable after casting.
	* CastToArrayActionDelegate.java
	* CastToTypeActionDelegate.java

2003-10-11 Mikhail Khodjaiants
	Moving the shared library search paths block to mi UI.
	* SolibSearchPathBlock.java: moved to mi UI.

2003-09-09 Mikhail Khodjaiants
	New class - SolibSearchPathBlock. Implements the UI control block to set the shared library search path.
	* SolibSearchPathBlock.java

2003-08-29 Mikhail Khodjaiants
	Label for target suspended by shared library event.
	* CDTDebugModelPresentation.java

2003-08-19 Mikhail Khodjaiants
	* plugin.properties: "Restore Default Type" changed to "Restore Original Type".

2003-08-13 Mikhail Khodjaiants
	* CDebugImages.java: new images for the 'Cast to type" and 'Display As Array' dialogs
	* CastToTypeActionDelegate.java: new image
	* CastToArrayActionDelegate.java: removed the 'type' field, added new image

2003-08-13 Mikhail Khodjaiants
	Display the proper image for reference types.
	* CDTDebugModelPresentation.java

2003-07-30 Mikhail Khodjaiants
	Moved the 'getReferencedProject' method to 'CDebugUtils'. Added the cycle checking.
	* SourceLookupBlock.java

2003-07-29 Mikhail Khodjaiants
	Fix for PR 40911: Double clicking on breakpoint with no source causes internal error.
	* CDTDebugModelPresentation.java: check if the resource associated with breakpoint is a file.

2003-07-28 Mikhail Khodjaiants
	Minimize the number of the "evaluate expression" requests when changing the value of the floating point types.
	* CDTDebugModelPresentation.java

2003-07-28 Mikhail Khodjaiants
	Refactoring: moved the 'isNaN', 'isPositiveInfinity' and 'isNegativeInfinity' to the 'CDebugUtils' class.
	* CDTDebugModelPresentation.java

2003-07-28 Mikhail Khodjaiants
	Refactoring: moved the 'CDebugUtils' class to the 'org.eclipse.cdt.debug.core' package - 
	the methods of this class are mostly used in UI plugins.
	* CDTDebugModelPresentation.java
	* CBreakpointPreferencePage.java
	* MemoryPresentation.java
	* SharedLibrariesView.java

2003-07-28 Mikhail Khodjaiants
	Cleanup. Removed the 'reset' method from the 'ICVaraible' interface.
	* VariableFormatActionDelegate.java

2003-07-24 Mikhail Khodjaiants
	New icon for closed projects.
	* icons/full/obj16/cproject_obj.gif: new
	* CDebugImages.java
	* SourceLookupBlock.java

2003-07-24 Mikhail Khodjaiants
	When initializing the generic source locations list filter out non-generic locations.
	* SourceLookupBlock.java

2003-07-22 Mikhail Khodjaiants
	Check if the value that getName returns is not null.
	* CDTDebugModelPresentation.java

2003-07-17 Mikhail Khodjaiants
	Automatically update the list of source locations when the list of the referenced 
	projects is modified.
	* CheckedListDialogField.java
	* AddDirectorySourceLocationBlock.java
	* AddProjectSourceLocationBlock.java
	* CUISourceLocator.java
	* SourceLookupBlock.java

2003-06-29 Mikhail Khodjaiants
	Fix for PR 39101: No hilight when changing the value of register.
	* RegistersView.java
	* RegistersViewer.java

2003-06-26 Mikhail Khodjaiants
	New icon for shared libraries with loaded symbols.
	* icons/full/ovr16/symbols_ovr.gif: new
	* CDebugImages.java
	* CDTDebugModelPresentation.java
 
2003-06-24 Mikhail Khodjaiants
	Warnings cleanup.
	* CDebugPreferencePage.java
	* MemoryControlArea.java

2003-06-20 Mikhail Khodjaiants
	In the 'getVariableText' and 'getVariableImage' methods of CDTDebugModelPresentation
	ignore exceptions thrown by getType.
	* CDTDebugModelPresentation.java

2003-06-20 Mikhail Khodjaiants
	Variable bookkeeping (phase 0.1).
	The 'Enable' and 'Disable' actions added to the Variables view.
	* plugin.properties
	* plugin.xml
	* icons/full/obj16/vard_aggr.gif: new
	* icons/full/obj16/vard_pointer.gif: new
	* icons/full/obj16/vard_simple.gif: new
	* icons/full/clc16/disabled_co.gif: new
	* icons/full/clc16/enabled_co.gif: new
	* CDebugImages.java
	* CDTDebugModelPresentation.java
	* DisableVariablesActionDelegate.java: new
	* EnableVariablesActionDelegate.java: new

2003-06-13 Mikhail Khodjaiants
	Fix for PR 38788: Ctrl-X, Ctrl-C, Ctrl-V, Ctrl-A, Ctrl-Z and Ctrl-Y keys don't work 
	in the address field of the Memory view.
	Note: Ctrl-Z still doesn't work because there is no support of it in the Text widget.
	* MemoryViewAction.java: moved to the org.eclipse.cdt.debug.internal.ui.views.memory package.
	* MemoryControlArea.java
	* MemoryView.java

2003-06-12 Mikhail Khodjaiants
	Fixing "trivial" PR 38788: Ctrl-X, Ctrl-C, Ctrl-V, Ctrl-A, Ctrl-Z and Ctrl-Y keys don't work 
	in the address field of the Memory view. 
	* MemoryViewAction.java: new
	* MemoryControlArea.java
	* MemoryView.java
	* MemoryViewer.java

2003-06-10 Mikhail Khodjaiants
	Refactoring: moved the type and value related methods from ICVariable to ICType and ICValue.
	* CDTDebugModelPresentation.java

2003-06-09 Mikhail Khodjaiants
	Added default format preferences for variables, registers and expressions.
	* CDebugPreferencePage.java

2003-06-09 Mikhail Khodjaiants
	Renamed the 'refresh' method of ICVariable to 'reset'.
	* VariableFormatActionDelegate.java

2003-06-05 Mikhail Khodjaiants
	Changed the presentation of arrays and array types.
	* CDTDebugModelPresentation.java

2003-06-05 Mikhail Khodjaiants
	UI support of infinite values of the floating point types.
	* CDTDebugModelPresentation.java

2003-06-05 Mikhail Khodjaiants
	Evaluate expressions of detail panel asynchronously.
	* CDTValueDetailProvider.java

2003-06-04 Mikhail Khodjaiants
	Implementing the UI support of the detail panel.
	* CDTDebugModelPresentation.java
	* CDTValueDetailProvider.java: new

2003-06-04 Mikhail Khodjaiants
	The presentation of the new types.
	* CDTDebugModelPresentation.java

2003-05-23 Mikhail Khodjaiants
	Fix for PR 38047: Unable to save changes in C/C++ debug editor.
	* CDebugEditor.java
	* EditorInputDelegate.java
	* CDebugUIPlugin.java

2003-05-29 Mikhail Khodjaiants
	PR 38268: added the image cache for overlay images.
	* OverlayImageCache.java: new
	* CDTDebugModelPresentation.java

2003-05-29 Mikhail Khodjaiants
	Changed the vizualization of arrays and structures.
	* CDTDebugModelPresentation.java

2003-05-14 Mikhail Khodjaiants
	Created preference for the maximum number of disassembly instructions.
	* CDebugPreferencePage.java

2003-05-13 Mikhail Khodjaiants
	Enable/disable the 'Add Globals' action when the 'Expressions' view is initializing.
	* AddGlobalsActionDelegate.java

2003-05-12 Mikhail Khodjaiants
	Accumulate the status information when adding multiple globals to the Expression view.
	* AddGlobalsActionDelegate.java

2003-05-12 Mikhail Khodjaiants
	Moved the generation of expressions for global variables to the mi plugin.
	* AddGlobalsActionDelegate.java

2003-05-07 Mikhail Khodjaiants
	Display the error message and error image in the debug target's label 
	if the error status is set.
	* CDTDebugModelPresentation.java

2003-05-06 Mikhail Khodjaiants
	Ruler tooltips in the dissassembly editor.
	* DisassemblyEditor.java
	* DisassemblySourceViewerConfiguration.java: new

2003-05-05 Mikhail Khodjaiants
	New implementation of overlayed images.
	* OverlayImageDescriptor.java: new
	* CImageDescriptor.java: removed
	* CDebugImages.java: new overlay images
	* CDTDebugModelPresentation.java: presentation of breakpoints and debug elements.
	* icons/full/ovr16/address_ovr.gif: new
	* icons/full/ovr16/address_ovr_disabled.gif: new
	* icons/full/ovr16/function_ovr.gif: new
	* icons/full/ovr16/function_ovr_disabled.gif: new
	* icons/full/ovr16/conditional_ovr.gif: new
	* icons/full/ovr16/conditional_ovr_disabled.gif: new
	* icons/full/ovr16/error_ovr.gif: new
	* icons/full/ovr16/warning_ovr.gif: new

2003-04-29 Alain Magloire

	* src/org/eclipse/cdt/debug/internal/ui/editor/CDebugDocumentProvider.java (doSetInput):
	Disconnect the old input from the working manager.

2003-04-27 Alain Magloire

	Bug PR 36759, the outliner was not updated, when using
	the CDebugEditor.

	* src/org/eclipse/cdt/debug/internal/ui/editor/CDebugDocumentProvider.java (getBufferFactory):
	New method overload getBufferFactory() to return the factory of
	CUIPlugin.getDefault().getDocumentProvider().getBufferFactory().

2003-04-25 Mikhail Khodjaiants
	Fix for bug 36909.
	* NoSymbolOrSourceElement.java: new file.
	* CDTDebugModelPresentation.java
	* CUISourceLocator.java

2003-04-24 Mikhail Khodjaiants
	Display error messages in the 'Registers' view.
	* RegistersView.java

2003-04-24 Mikhail Khodjaiants
	Added shortcuts for the C/C++ Debug specific views.
	* plugin.xml

2003-04-24 Mikhail Khodjaiants
	Update the actions of the 'Shared Libraries' view even if the viewer's input 
	is the same as before.
	* SharedLibrariesView.java

2003-04-23 Mikhail Khodjaiants
	If error occurs when acquiring the signal information from gdb 
	the error message should be displayed in the 'Signals' view.
	* SignalsView.java
	* SignalsViewer.java
	* SignalsViewEventHandler.java

2003-04-21 Mikhail Khodjaiants
	Fix for bug 36682.
	* CDTDebugModelPresentation.java

2003-04-21 Mikhail Khodjaiants
	Temporary fix for character values.
	* CDTDebugModelPresentation.java

2003-04-16 Mikhail Khodjaiants
	Quick fix for variable values.
	* CDTDebugModelPresentation.java

2003-04-14 Mikhail Khodjaiants
	Added icon to the 'Add/Remove Breakpoint' action for functions and methods.
	* plugin.xml

2003-04-14 Mikhail Khodjaiants
	Commented default format preferences.
	* CDebugPreferencePage.java

2003-04-14 Mikhail Khodjaiants
	Fixes for toggle actions.
	* plugin.xml
	* MemoryFormatAction.java
	* MemoryNumberOfColumnAction.java
	* MemorySizeAction.java

2003-04-11 Mikhail Khodjaiants
	Method and function breakpoints.
	* plugin.properties
	* plugin.xml
	* icons/full/obj16/brkpd_obj.gif: new
	* icons/full/obj16/funbrkp_obj.gif: new
	* icons/full/obj16/funbrkpd_obj.gif: new
	* CDTDebugModelPresentation.java
	* CDebugImages.java
	* CBreakpointPreferencePage.java
	* ManageFunctionBreakpointActionDelegate.java: new
	* DisassemblyMarkerAnnotation.java
	* DisassemblyMarkerAnnotationModel.java

2003-04-08 Mikhail Khodjaiants
	Removed unused private methods and members.
	* CDebugEditor.java
	* MemoryPresentation.java
	* MemoryText.java
	* MemoryViewer.java

2003-04-08 Mikhail Khodjaiants
	Preserving the registers tree structure during the debug session.
	* ViewerState.java: new
	* RegistersView.java
	* RegistersViewEventHandler.java
	
2003-04-07 Mikhail Khodjaiants
	No dialog if switch to frame failed.
	* CDebugUIPlugin.java

2003-04-05 Alain Magloire

	* CDebugEditor.java
	Change to make the ContentOutline work.

2003-04-01 Mikhail Khodjaiants
	Changed the labels of the C/C++ specific actions.
	* plugin.properties
	* plugin.xml

2003-04-01 Mikhail Khodjaiants
	The 'Auto-Refresh' preferences were moved to the code plugin. Changed the preference 
	pages for the Registers and Shared Libraries views to reflect this.
	* ICDebugPreferenceConstants.java
	* RegistersViewPreferencePage.java
	* SharedLibrariesViewPreferencePage.java

2003-04-01 Mikhail Khodjaiants
	Changed implementation and initialization of 'AutoRefreshAction'.
	* AutoRefreshAction.java
	* RegistersView.java
	* SharedLibrariesView.java

2003-04-01 Mikhail Khodjaiants
	Removed the 'Show Type Names' preference from the Registers view's preference page.
	* ShowRegisterTypesAction.java
	* RegistersViewPreferencePage.java
	* RegistersView.java

2003-03-31 Mikhail Khodjaiants
	'Auto-Refresh' and 'Refresh' actions for registers view.
	* ICDebugHelpContextIds.java
	* RefreshAction.java
	* ICDebugPreferenceConstants.java
	* RegistersViewPreferencePage.java
	* RegistersView.java
	* RegistersViewContentProvider.java

2003-03-28 Mikhail Khodjaiants
	Added the default format section for variables, registers and expressions 
	to the debugger preference page.
	* CDebugPreferencePage.java

2003-03-28 Mikhail Khodjaiants
	'Run To C/C++ Line' and 'Resume At C/C++ Line' actions for external files.
	* JumpToLineActionDelegate.java
	* RunToLineActionDelegate.java
	* RunToLineRulerAction.java

2003-03-25 Mikhail Khodjaiants
	Fix for bug 35092.
	* CDebugImages.java

2003-03-25 Mikhail Khodjaiants
	Added the 'logErrorMessage' static method to the 'CDebugUIPlugin' class.
	* CDebugUIPlugin.java

2003-03-18 Mikhail Khodjaiants
	Removed the gdb-specific variable parsing.
	* VariableFormatActionDelegate.java
	* CDTDebugModelPresentation.java

2003-03-17 Mikhail Khodjaiants
	Replace range by start index and length in 'Display As Array' action.
	* CastToArrayActionDelegate.java

2003-03-14 Mikhail Khodjaiants
	Fix for the 'Restore Default Type' action.
	* RestoreDefaultTypeActionDelegate.java

2003-03-11 Mikhail Khodjaiants
	The implementation of the "Display As Array" action.
	* CastToArrayActionDelegate.java
	* CastToTypeActionDelegate.java

2003-03-10 Mikhail Khodjaiants
	Implementing the "Display As Array" action.
	* plugin.xml
	* plugin.propeties
	* CastToArrayActionDelegate.java: new

2003-03-09 Mikhail Khodjaiants
	The implementation of the "Cast To Type" and "Restore Default Type" actions.
	* plugin.xml
	* plugin.propeties
	* CastToTypeActionDelegate.java: new
	* RestoreDefaultTypeActionDelegate.java: new

2003-03-05 Mikhail Khodjaiants
	The extension of CEditor that displays the 'Source Not Found' form.
	* plugin.properties
	* plugin.xml
	* CDTDebugModelPresentation.java
	* AttachSourceEditor.java: removed
	* AttachSourceEditorInput.java: removed
	* FileNotFoundElement.java: new
	* CDebugDocumentProvider.java: new
	* CDebugEditor.java: new
	* EditorInputDelegate.java: new
	* ManageBreakpointRulerActionDelegate.java

2003-02-28 Mikhail Khodjaiants
	Check if part is not null when set the selection.
	* AddExpressionActionDelegate.java
	* AddGlobalsActionDelegate.java
	* JumpToLineActionDelegate.java
	* RunToLineActionDelegate.java

2003-02-28 Mikhail Khodjaiants
	Check if page exists before adding a listener.
	* AbstractListenerActionDelegate.java

2003-02-21 Mikhail Khodjaiants
	Implementing the 'Attach Source' editor.
	* plugin.properties
	* plugin.xml
	* icons/full/obj16/filenotfound_obj.gif: new
	* CDTDebugModelPresentation.java
	* AttachSourceEditor.java: new
	* AttachSourceEditorInput.java: new
	* FileNotFoundElement.java: new
	* CUISourceLocator.java

2003-02-20 Mikhail Khodjaiants
	Added the 'Association' column and the 'Restore Defaults' button to the SourceLookupBlock.
	* SourceLookupBlock.java
	* SourcePropertyPage.java

2003-02-18 Mikhail Khodjaiants
	Added persistency to the source locator.
	* CUISourceLocator.java
	* SourceLookupBlock.java
	* SourcePropertyPage.java

2003-02-14 Mikhail Khodjaiants
	Enable the 'Resume With Signal' action only if target is suspended.
	* SignalActionDelegate.java

2003-02-14 Mikhail Khodjaiants
	Change the 'Deliver Signal' action name to 'Resume With Signal'.
	* plugin.properties

2003-02-13 Mikhail Khodjaiants
	Undo changes because the 'asyncExec' method of the 'DebugPlugin' class has added since version 2.1.
	* CDebugUIPlugin.java

2003-02-13 Mikhail Khodjaiants
	Use the 'asyncExec' method of the 'DebugPlugin' class.
	* CDebugUIPlugin.java

2003-02-11 Mikhail Khodjaiants
	The 'Load Symbole For All' action is added to the 'Shared Libraries' view
	* CDebugImages.java
	* ICDebugHelpContextIds.java
	* LoadSymbolsForAllAction.java: new
	* SharedLibrariesView.java
	* ICDebugUIConstants.java
	* icons/full/clcl16/load_all_symbols_co.gif: new
	* icons/full/dlcl16/load_all_symbols_co.gif: new
	* icons/full/elcl16/load_all_symbols_co.gif: new

2003-02-10 Mikhail Khodjaiants
	The 'Auto-Refresh' and 'Refresh' actions are added to the 'Shared Libraries' view.
	* RefreshAction.java: new
	* AutoRefreshAction.java: new
	* RefreshMemoryAction.java
	* AutoRefreshMemoryAction.java
	* SharedLibrariesView.java
	* CDebugImages.java
	* ICDebugHelpContextIds.java

2003-02-09 Alain Magloire

	Changing the scope of methods to protected to let inner class
	have access to it.
	* StringDialogField.java
	* CheckedListDialogField.java
	* ComboDialogField.java
	* ListDialogField.java
	* SelectionButtonDialogField.java
	* SelectionButtonDialogFieldGroup.java

2003-02-07 Mikhail Khodjaiants
	Implementing the preference page for the 'Shared Libraries' view.
	* ICDebugHelpContextIds.java
	* ICDebugPreferenceConstants.java
	* SharedLibrariesViewPreferencePage.java: new
	* CDebugUIPlugin.java
	* plugin.xml
	* plugin.properties

2003-02-07 Mikhail Khodjaiants
	The viewer type of the 'Shared Libraries' view changed to 'TableTreeViewer'.
	* CDTDebugModelPresentation.java
	* AbstractDebugEventHandler.java
	* SharedLibrariesView.java
	* SharedLibrariesViewContentProvider.java
	* SharedLibrariesViewEventHandler.java

2003-02-07 Mikhail Khodjaiants
	The 'Resume Without Signal' action added to the 'Run' menu of the workbench window.
	* SignalZeroWorkbenchActionDelegate.java: new
	* plugin.xml

2003-02-07 Mikhail Khodjaiants
	Rename 'SignalZeroActionDelegate' to 'SignalZeroObjectActionDelegate'.
	* SignalZeroObjectActionDelegate.java
	* plugin.xml

2003-02-05 Mikhail Khodjaiants
	Removed warnings.
	* AddAddressBreakpointActionDelegate.java
	* AddExpressionActionDelegate.java
	* CBreakpointPropertiesDialog.java
	* CUISourceLocator.java
	* SourceLookupBlock.java

2003-02-05 Mikhail Khodjaiants
	Implementation of the 'Resume At C/C++ Line' action.
	* RunToLineActionDelegate.java
	* JumpToLineActionDelegate.java
	* plugin.properties
	* plugin.xml
	icons/full/clcl16/jump_co.gif
	icons/full/dlcl16/jump_co.gif
	icons/full/elcl16/jump_co.gif
	
2003-02-04 Mikhail Khodjaiants
	Implementation of the 'Resume Without Signal' action.
	* SignalZeroActionDelegate.java
	* plugin.properties
	* plugin.xml
	icons/full/clcl16/signal0_co.gif
	icons/full/dlcl16/signal0_co.gif
	icons/full/elcl16/signal0_co.gif
	
2003-02-04 Mikhail Khodjaiants
	'DebugException' handling in the 'Signals' view.
	* SignalsView.java
	* SignalsViewer.java

2003-02-04 Mikhail Khodjaiants
	Changed the 'Signal' action name to 'Deliver Signal'.
	* plugin.properties

2003-02-03 Mikhail Khodjaiants
	Implementing the 'Signals' view.
	* SignalActionDelegate.java
	* SignalsViewer.java: new
	* CDTDebugModelPresentation.java

2003-01-31 Mikhail Khodjaiants
	Implementing the 'Signals' view.
	* CDebugImages.java
	* ICDebugHelpContextIds.java
	* SignalActionDelegate.java
	* SignalsView.java: new
	* SignalsViewContentProvider.java: new
	* SignalsViewer.java: new
	* SignalsViewEventHandler.java: new
	* AbstractDebugEventHandler.java
	* plugin.xml
	* plugin.properties
	icons/full/clcl16/signal_co.gif
	icons/full/dlcl16/signal_co.gif
	icons/full/elcl16/signal_co.gif
	icons/full/eview6/signals_view.gif
	icons/full/cview6/signals_view.gif
	
2003-01-30 Mikhail Khodjaiants
	Disassembly editor input fix.
	* CDTDebugModelPresentation.java
	
2003-01-27 Mikhail Khodjaiants
	Managing breakpoints from the gdb console.
	* AddAddressBreakpointActionDelegate.java
	* ManageBreakpointRulerAction.java
	* CDebugUIPlugin.java

2003-01-23 Mikhail Khodjaiants
	Ignore the text selection when hovering.
	* DebugTextHovering.java

2003-01-21 Mikhail Khodjaiants
	Changed the viewer of the Shared Libraries view to TreeViewer.
	* SharedLibrariesView.java
	* SharedLibrariesViewContentProvider.java
	* SharedLibrariesViewEventHandler.java

2003-01-21 Mikhail Khodjaiants

	* src/org/eclipse/cdt/debu/internal/ui/CDTDebugModelPresentation.java
	(getTargetText): Use Signal.

2003-01-20 Mikhail Khodjaiants
	Changed the icon for the 'Load Symbols' action.
	icons/full/clcl16/load_symbols_co.gif
	icons/full/dlcl16/load_symbols_co.gif
	icons/full/elcl16/load_symbols_co.gif

2003-01-19 Mikhail Khodjaiants
	Set the start or end address value in the shared libraries view to 'Not available' if the address value is 0.
	* CDTDebugModelPresentation.java

2003-01-17 Mikhail Khodjaiants
	Use the C editor instead of the default editor for files without extensions.
	* CDTDebugModelPresentation.java

2003-01-17 Mikhail Khodjaiants
	Added the handlers for the 'Create' and 'Terminate' events to the 'Shared Libraries' view.
	* SharedLibrariesViewEventHandler.java

2003-01-17 Mikhail Khodjaiants
	Implementation of the shared library view.
	* LoadSymbolsActionDelegate.java
	* SharedLibrariesView.java
	* SharedLibrariesViewEventHandler.java
	* CDTDebugModelPresentation.java
	* CDebugImages.java
	* plugin.properties
	* plugin.xml
	
2003-01-16 Mikhail Khodjaiants
	Implementing the Shared Libraries view.
	* SharedLibrariesView.java
	* SharedLibrariesViewContentProvider.java
	* SharedLibrariesViewEventHandler.java
	* CDebugImages.java
	* ICDebugHelpContextIds.java
	* plugin.properties
	* plugin.xml
	* icons/full/cview16/sharedlibraries_view.gif
	* icons/full/eview16/sharedlibraries_view.gif
	* icons/full/obj16/sharedlibraryl_obj.gif
	* icons/full/obj16/sharedlibraryu_obj.gif

2003-01-15 Mikhail Khodjaiants
	The 'getDefaultEditor' method returns 'null' for file names that don't have an extension and 
	are not registered with some editor. Use the default text editor in this case.
	* CDTDebugModelPresentation.java

2003-01-14 Mikhail Khodjaiants
	Added the 'Add Address Breakpoint' action to the workbench 'Run' menu.
	* AddAddressBreakpointActionDelegate.java
	* plugin.properties
	* plugin.xml
	* icons/full/obj16/brkp_obj.gif

2003-01-13 Mikhail Khodjaiants
	Implementation of the 'Run To Line' action for disassembly.
	* RunToLineActionDelegate.java

2003-01-13 Alain Magloire

	* src/org/eclipse/cdt/debug/internal/ui/editors/DebugTextHover.java (getHoverInfo):
	IndexArrayOutOfBound exception, do no use the index when doing targetList.add().

2003-01-10 Mikhail Khodjaiants
	Added contributions of the breakpoint actions to the disassembly editor.
	* DisassemblyEditor.java
	* plugin.xml

2003-01-10 Mikhail Khodjaiants
	Implementation of address breakpoints.
	* CDebugImages.java
	* CDTDebugModelPresentation.java
	* BreakpointLocationVerifier.java
	* CBreakpointPreferencePage.java
	* ManageBreakpointActionDelegate.java
	* ManageBreakpointRulerAction.java
	* ManageBreakpointRulerActionDelegate.java
	* DisassemblyDocumentProvider.java
	* DisassemblyEditor.java
	* DisassemblyEditorInput.java
	* DisassemblyMarkerAnnotation.java
	* DisassemblyMarkerAnnotationModel.java
	* CDebugUIPlugin.java
	* plugin.properties
	* plugin.xml
	
	New icons:
	* full/obj16/addrbrkp_obj.gif
	* full/obj16/addrbrkpd_obj.gif

2003-01-06 Alain Magloire

	* build.properties: Patch from Judy Green.

2003-01-06 Mikhail Khodjaiants
	Fix for bug 28977: Unable to set breakpoint properties from the Breakpoint view.
	* plugin.xml

2003-01-02 Mikhail Khodjaiants
	Adapter for 'IResource' in 'DisassemblyEditorInput'.
	* DisassemblyEditorInput.java

2002-12-29 Mikhail Khodjaiants
	Implementation of the 'Source Lookup' property page.
	* AddDirectorySourceLocationBlock.java (new)
	* AddDirectorySourceLocationWizard.java (new)
	* AddProjectSourceLocationBlock.java (new)
	* AddProjectSourceLocationWizard.java (new)
	* AddSourceLocationWizard.java
	* SourceLocationSelectionPage.java (new)
	* SourceLocationWizardNode.java (new)
	* CDebugImages.java
	* AttachSourceLocationBlock.java renamed to AddDirectorySourceLocationBlock.java
	* AttachSourceLocationDialog.java (deleted - dialog replaced by wizard).
	* INewSourceLocationWizard.java (new)
	* SourceLookupBlock.java
	Added new wizard and tool icons.

2002-12-19 Mikhail Khodjaiants
	Implementing the 'Source Lookup' property page.
	* AddSourceLocationWizard.java
	* SourceLookupBlock.java
	* SourcePropertyPage.java
	icons/full/obj16/project_obj.gif
	icons/full/obj16/folder_obj.gif

2002-12-19 Mikhail Khodjaiants
	Added the 'org.eclipse.cdt.debug.internal.ui.dialogfields' package. 

2002-12-19 Mikhail Khodjaiants
	Added new utility class - SWTUtil
	* SWTUtil.java
	* AttachSourceLocationBlock.java

2002-12-19 Mikhail Khodjaiants
	Added new utility class - PixelConverter
	* PixelCoverter.java
	* AttachSourceLocationBlock.java

2002-12-18 Mikhail Khodjaiants
	Implementing the "Source Lookup" property page.
	* SourceLookupBlock.java: common control block.
	* SourcePropertyPage.java: implementation
	* plugin.properties: page name
	* plugin.xml: contribution to ICDebugTarget properties
 
2002-12-18 Mikhail Khodjaiants
	Do not show the source lookup dialog if file name is not specified.
	* CUISourceLocator.java

2002-12-17 Mikhail Khodjaiants
	Disable the association controls in the 'Attach Source Location" dialog if path is not absolute.
	* AttachSourceLocationBlock.java
	* CUISourceLocator.java

2002-12-17 Mikhail Khodjaiants
	Formatting 'char' types.
	* VariableFormatActionDelegate.java

2002-12-17 Mikhail Khodjaiants
	Removed the "Primitive type display options" section from the C/C++ Debug preference page because of the different formattong strategy.
	* CDebugPreferencePage.java
 
2002-12-17 Mikhail Khodjaiants
	The UI part of the prompting source locator.
	* AttachSourceLocationBlock.java
	* AttachSourceLocationDialog.java
	* CUISourceLocator.java
	* plugin.xml
	
2002-12-16 Mikhail Khodjaiants
	New formating actions for variables, registers, and expressions
	* VariableFormatActionDelegate.java
	* DecVariableFormatActionDelegate.java
	* HexVariableFormatActionDelegate.java
	* NaturalVariableFormatActionDelegate.java
	* plugin.xml
	* plugin.properties

2002-12-10 Mikhail Khodjaiants
	Added new case in the 'getEditorInput' method of CDTDebugModelPresentation for FileStorage objects.
	* CDTDebugModelPresentation.java

2002-12-08 Mikhail Khodjaiants
	Implementation of the status handler for core errors.
	* ErrorStatusHandler.java

2002-12-04 Mikhail Khodjaiants
	Small fix for the Registers view.
	* RegistersView.java

2002-12-02 Mikhail Khodjaiants
	If the target is suspended because of error display the error message in the Launch view.
	* CDTDebugModelPresentation.java

2002-12-02 Mikhail Khodjaiants
	Refactoring org.eclipse.cdt.debug.core - UI changes.

2002-12-02 Mikhail Khodjaiants
	'Run to line' and 'Add expression' actions for assembly editor.
	*plugin.xml

2002-12-01 Mikhail Khodjaiants
	Contributing breakpoint actions to asm editor.
	* plugin.xml
	* ManageBreakpointRulerActionDelegate.java

2002-11-29 Mikhail Khodjaiants
	Cosmetic change for the MemoryView preference page.
	* plugin.properties
	* MemoryViewPreferencePage.java

2002-11-29 Mikhail Khodjaiants
	Cosmetic fix for the memory view tab's tooltips.
	* MemoryControlArea.java

2002-11-28 Mikhail Khodjaiants
	Fixes for 'Run to line' actions.
	* RunToLineActionDelegate.java
	* RunToLineRulerAction.java

2002-11-28 Mikhail Khodjaiants
	Live editing of the memory view.
	* SaveMemoryChangesAction.java - removed
	* MemoryPresentation.java
	* MemoryControlArea.java
	* MemoryText.java
	* MemoryViewer.java
	* MemoryView.java

2002-11-27 Mikhail Khodjaiants
	Render debug target as suspended if no reason is specified.
	* CDTDebugModelPresentation.java

2002-11-26 Mikhail Khodjaiants
	Fix for evaluation of expression to address in the Memory view.
	GDB evaluates the array of chars to a string not an address. 
	* MemoryControlArea.java

2002-11-21 Mikhail Khodjaiants
	Added the 'Evaluate' button to the Memory view.
	* MemoryControlArea.java

2002-11-20 Mikhail Khodjaiants
	Reset the tooltips of the memory view tabs on terminate.
	* MemoryControlArea.java

2002-11-20 Mikhail Khodjaiants
	Added the TERMINATE event handler to MemoryViewEventHandler.
	* MemoryViewer.java
	* MemoryViewEventHandler.java

2002-11-20 Mikhail Khodjaiants
	Fix for bug 26595.
	Highlight the addresses if the start address of a memory expression has changed.
	*MemoryPresentation.java
	*MemoryText.java

2002-11-19 Mikhail Khodjaiants
	Added enablement condition to some actions.
	*plugin.xml

2002-11-19 Mikhail Khodjaiants
	Fix for bug 26693.
	* SwitchToDisassemblyActionDelegate.java

2002-11-19 Mikhail Khodjaiants
	Fix for bug 26401.
	* ExpressionDialog.java: Highlight the content of the expression field on intialization.

2002-11-18 Mikhail Khodjaiants
	Fixes for the 'Add Global Variables' action's bugs.
	The action disabled after 'Remove All'.
	Error message after adding a valid expression. 
	* AddGlobalsActionDelegate.java

2002-11-15 Mikhail Khodjaiants
	Added presentation for dummy stack frames.
	* CDTDebugModelPresentation.java

2002-11-13 Mikhail Khodjaiants
	Added tooltips to the Memory view's tabs.
	* MemoryControlArea.java
 
2002-11-13 Mikhail Khodjaiants
	Added the 'Auto-Refresh by default' and 'Show ASCII by default' preferences 
	to the 'Memory Views' preference page.
	* ICDebugPreferenceConstants.java
	* MemoryViewPreferencePage.java
	* MemoryControlArea.java
	* MemoryView.java

2002-11-11 Mikhail Khodjaiants
	Fix for PR 25988: The 'Padding Character' preference of the Memory view doesn't work.
	* MemoryControlArea.java
	* MemoryViewPreferencePage.java

2002-11-05 Mikhail Khodjaiants
	Implementation of the "Add Global Variables" action of the Expressions view.
	Action images:
		watch_globals.gif (clcl, dlcl, elcl).
	* AddGlobalsActionDelegate.java: implementation.
	* plugin.xml: contribution to the Expression view
	* plugin.xml: added dependency to org.eclipse.cdt.core
	* .classpath: added dependency to org.eclipse.cdt.core
	* .project:  added dependency to org.eclipse.cdt.core
	* plugin.properties: action's label and tooltip text

2002-11-03 Mikhail Khodjaiants
	Implementation of the "Format/Decimal" and "Format/Unsigned Decimal" actions of the Memory view.
	* MemoryFormataction.java
	* MemorySizeAction.java
	* MemoryNumberOfColumnsAction.java
	* MemoryPresentation.java
	* MemoryViewer.java
	* MemoryView.java

2002-11-01 Mikhail Khodjaiants
	Implementing decimal format support of the Memory view.
	* MemoryPresentation.java

2002-10-31 Mikhail Khodjaiants
	Removed the 'Modified Value Color' field from the 'Debug/Memory Views' 
	preference page.
	* MemoryViewPreferencePage.java

2002-10-30 Mikhail Khodjaiants
	Implementing the 'Refresh Memory' action.
	* RefreshMemoryAction.java
	* MemoryControlArea.java
	* MemoryViewer.java

2002-10-30 Mikhail Khodjaiants
	Implementation of the 'SaveMemoryChanges' action.
	* SaveMemoryChangesAction.java
	* CDebugImages.java
	* ICDebugHelpConstants.java
	* MemoryControlArea.java
	* MemoryText.java
	* MemoryViewer.java
	* MemoryView.java

2002-10-30 Alain Magloire

	* src/.../ui/CDebugUIPlugin.java (selectionChanged):
	sameThread() code is commented out amd we let the underlying
	implementation swith thread.

2002-10-29 Mikhail Khodjaiants
	Implementing editing features of the memory view.
	* MemoryPresentation.java
	* MemoryControlArea.java
	* MemoryText.java

2002-10-28 Mikhail Khodjaiants
	Implementing editing features of the memory view.
	* MemoryPresentation.java
	* MemoryControlArea.java
	* MemoryText.java
	
2002-10-27 Mikhail Khodjaiants
	* MemoryPresentation.java: adding editing features to the memory view.

2002-10-25 Mikhail Khodjaiants
	Implementation of the 'Number Of Columns' action.
	* MemoryNumberOfColumnAction.java: the action class
	* MemoryViewer.java: support of the action
	* MemoryView.java: support of the action

2002-10-25 Mikhail Khodjaiants
	Replaced the usage of 'setWordSize' method by the 'reformat' method of 'IFormattedMemoryBlock'.
	* MemorySizeAction.java
	* MemoryViewer.java

2002-10-24 Mikhail Khodjaiants
	Set the 'relationship' attribute value to 'stack' for the 'MemoryView' perspective extension.
	* plugin.xml
 
2002-10-24 Mikhail Khodjaiants
	Implementation of the 'Memory Unit Size' action.
	* MemorySizeAction.java
	* MemoryView.java

2002-10-24 Mikhail Khodjaiants
	Implementing Memory view formatting actions.
	* MemoryActionSelectionGroup.java: implementation of a toggle action group.
	* MemorySizeAction.java: implementation of the "Memory Unit Size" menu item.
	* MemoryView.java: add new actions to the view.
	* MemoryViewer.java: support for new action.
	* ICDebugHelpContextIds.java: help context id for the new action.
	* ICDebugUIConstants.java: new menu group - "Format".

2002-10-23 Mikhail Khodjaiants
	* DebuggerConsoleActionDelegate.java: The debugger/inferrior console should become visible when checking "Show Debug Console".

2002-10-23 Mikhail Khodjaiants
	"Show Debugger Console" action.
	Action images:
		debugger_console.gif (clcl, dlcl, elcl);
	* DebuggerConsoleActionDelegate.java: implementation of action delegate.
	* plugin.xml: action extenions
	* plugin.properties: action label and tooltip text.

2002-10-22 Mikhail Khodjaiants
	Implementation of the "Show ASCII" action.
	Action images:
		show_ascii.gif (clcl, dlcl, elcl).
	* ShowAsciiAction.java
	* MemoryPresentation.java
	* MemoryText.java
	* MemoryView.java
	* MemoryViewer.java
	* CDebugImages.java
	* ICDebugHelpContextIds.java

2002-10-21 Mikhail Khodjaiants
	Framework tries to refresh memory view before the view controls are created.
	* MemoryViewer.java: Check if CTabFolder has already created when refreshing the view.
 
2002-10-21 Mikhail Khodjaiants
	Implementation of the "Clear" action for the memory view.
	* ClearMemoryAction.java
	* ICDebugHelpContextIds.java
	* MemoryControlArea.java
	* MemoryView.java
	* MemoryViewer.java

2002-10-21 Mikhail Khodjaiants
	Implementation of the "Auto-Refresh" and "Refresh" actions for the memory view.
	* AutoRefreshMemoryAction.java
	* RefreshMemoryAction.java
	* ICDebugHelpContextIds.java
	* MemoryControlArea.java
	* MemoryView.java
	* MemoryViewer.java
	* MemoryViewEventHandler.java

2002-10-20 Mikhail Khodjaiants
	Display the memory changes in different color in the memory view.
	* MemoryControlArea.java
	* MemoryPresentation.java
	* MemoryText.java
	* MemoryViewer.java
	* MemoryViewEventHandler.java

2002-10-18 Mikhail Khodjaiants
	Implementing the memory view support:
	Images for the view's actions:
		autorefresh_mem.gif (clcl, dlcl, elcl),
		refresh_mem.gif (clcl, dlcl, elcl),
		memory_save.gif (clcl, dlcl, elcl),
		memory_clear.gif (clcl, dlcl, elcl).
	* RefreshMemoryAction.java
	* MemoryControlArea.java
	* MemoryPresentation.java
	* MemoryText.java
	* MemoryView.java
	* MemoryViewer.java
	* CDebugImages.java
	* ICDebugHelpContextIds.java
	* ICDebugUIConstants.java
		
2002-10-17 Mikhail Khodjaiants
	Implementing the memory view support:
	* MemoryControlArea.java
	* MemoryPresentation.java
	* MemoryView.java
	* MemoryViewer.java

2002-10-15 Mikhail Khodjaiants
	* CDebugUIPlugin.java: Moved the memory management functionality to the core.
	* MemoryControlArea.java: Moved the memory management functionality to the core.

2002-10-15 Mikhail Khodjaiants
	* CDebugPreferencePage.java: Implementation of the 'Automatically switch to disassembly mode' preference.

2002-10-14 Mikhail Khodjaiants
	* CDebugUIPlugin.java: In the 'selectionChanged' method check if the thread of the new frame is current. If not make it current.

2002-10-11 Mikhail Khodjaiants
	* SwitchToDisassemblyActionDelegate.java: Implementation of the 'Switch to disassembly mode' action.
	* plugin.properties: Action label and tooltip.
	* plugin.xml: Contribution to the 'Launch View'.
	* icons/full/clcl16/disassembly.gif: Hover icon.
	* icons/full/dlcl16/disassembly.gif: Disabled icon.
	* icons/full/elcl16/disassembly.gif: Enabled icon.
